Search
lxdream.org :: lxdream/RELEASE_NOTES :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename RELEASE_NOTES
changeset 483:e367f778447e
prev403:1cf393db32f2
next623:95fcdcf2094c
author nkeynes
date Wed Oct 31 12:16:58 2007 +0000 (12 years ago)
permissions -rw-r--r--
last change Update release notes
file annotate diff log raw
1.1 --- a/RELEASE_NOTES Thu Sep 20 11:24:45 2007 +0000
1.2 +++ b/RELEASE_NOTES Wed Oct 31 12:16:58 2007 +0000
1.3 @@ -1,16 +1,25 @@
1.4 -Release notes for Milestone 3
1.5 +Release notes for lxdream 0.8
1.6 ===================================================
1.7
1.8 -Please note that this is a development release - many
1.9 -things are not yet implemented, it doesn't run at 100% speed, and it's not
1.10 -particularly user-friendly. If you're looking for something to just
1.11 -play DC games, you'll probably want to wait for the next version.
1.12 +
1.13 +Please note that this is an alpha release - many things are not yet
1.14 +implemented, it has many bugs (especially wrt rendering), and it's
1.15 +not likely to run at 100% speed.
1.16
1.17 Having said all that, some games are known to run to at least
1.18 some degree (aka everything we've tried), and most homebrew works
1.19 perfectly or nearly so - feel free to experiment and let us
1.20 know how it goes.
1.21
1.22 +Changes since Milestone 3
1.23 +-------------------------
1.24 +* Speed improvements (translation core now runs at roughly double the speed
1.25 + of M3)
1.26 +* GUI Overhaul - it's actually somewhat usable now. Also removed the gnome
1.27 + dependency (now just needs GTK 2.0)
1.28 +* Sound fixes (aka, some sound actually works now)
1.29 +* A few minor bugfixes and tweaks.
1.30 +
1.31 Changes since Milestone 2
1.32 -------------------------
1.33 * Implemented the SH4 translation core
1.34 @@ -30,17 +39,14 @@
1.35 The following are known bugs (as opposed to missing features) that will be
1.36 fixed in the next release, but are too large to be fixed for this version:
1.37
1.38 -* Some games experience geometry corruption of varying levels. This is
1.39 -believed to be caused by an SH4 core bug.
1.40 -
1.41 * Polygons that are partially clipped by the view frustum can be distorted
1.42 quite badly
1.43 +* Limited depth precision causes tearing of view on some scenes.
1.44
1.45 System requirements
1.46 -------------------
1.47 GTK 2.0+
1.48 -Gnome 2.0+
1.49 -ESounD 2.36+ (if you want interrupted stuttery sound[0])
1.50 +ESounD 2.36+
1.51 OpenGL drivers with EXT_framebuffer_object support (any recent drivers should be
1.52 fine)
1.53 GCC, Make, etc.
.